﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Default = Engine:GetModule("Default")

-- Registers the element.
function Default:RegisterMultiBarRight()
	local settings = Settings:Get(self.Name).Elements["MultibarRight"]
	local bar = Api:RegisterElement("MultibarRight", settings)
	
	-- Add frames
	bar:AddFrame(MultiBarRight)
	
	-- Add conditions
	bar:AddConditionRange(settings.Conditions)

	-- Add hotspots
	bar:AddHotspot(MultiBarRight:GetRect())
end

-- Unregisters the element.
function Default:UnregisterMultiBarRight()
	Api:UnregisterElement("MultibarRight")
end